import React from 'react';
import Star from './Star.svg';
import './App.scss';
import styles from './App.module.scss';

function App() {
  const str = 'Hello, Medlinker';

  return (
    <main className={styles.main}>
      <div className="welcome">
        <span style={{ animationDelay: `0ms` }}>
          <Star />
        </span>
        {str.split('').map((char, i) => {
          return (
            <span key={i} style={{ animationDelay: `${200 * (i + 1)}ms` }}>
              {char}
            </span>
          );
        })}
        <span style={{ animationDelay: `${(str.length + 1) * 200}ms` }}>
          <Star />
        </span>
      </div>
    </main>
  );
}

export default App;
